Skip to main content
POST
/
api
/
datawarehouse
/
v1
/
connection
/
{connection_id}
/
upload
/
{upload_id}
/
sql-definitions
IngestSqlDefinitions
curl --request POST \
  --url https://developer.synq.io/api/datawarehouse/v1/connection/{connection_id}/upload/{upload_id}/sql-definitions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "stateAt": "2023-11-07T05:31:56Z",
  "sqlDefinitions": [
    {
      "sql": "<string>"
    }
  ]
}
'
import requests

url = "https://developer.synq.io/api/datawarehouse/v1/connection/{connection_id}/upload/{upload_id}/sql-definitions"

payload = {
"stateAt": "2023-11-07T05:31:56Z",
"sqlDefinitions": [{ "sql": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({stateAt: '2023-11-07T05:31:56Z', sqlDefinitions: [{sql: '<string>'}]})
};

fetch('https://developer.synq.io/api/datawarehouse/v1/connection/{connection_id}/upload/{upload_id}/sql-definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

connection_id
string
required
upload_id
string<uuid>
required

Body

application/json
stateAt
string<date-time>
required

Time at which state was collected timestamp.gt = 2022-01-01T00:00:00Z timestamp.gt_lt = 2022-01-01T00:00:00Z timestamp.gt_lt_exclusive = 2022-01-01T00:00:00Z timestamp.gt_lte = 2022-01-01T00:00:00Z timestamp.gt_lte_exclusive = 2022-01-01T00:00:00Z timestamp.lt_now = true

Examples:

"2023-01-15T01:30:15.01Z"

"2024-12-25T12:00:00Z"

sqlDefinitions
SqlDefinition · object[]

Response

200 - application/json

Success

The response is of type IngestSqlDefinitionsResponse · object.